# DelayedZlibCompression (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.compression
Class DelayedZlibCompression

    java.lang.Object
      net.schmizz.sshj.transport.compression.ZlibCompression
          net.schmizz.sshj.transport.compression.DelayedZlibCompression

All Implemented Interfaces:
  Compression

    public class DelayedZlibCompression

extends ZlibCompression

ZLib delayed compression.

See Also:
  `Compression.isDelayed()`

Nested Class Summary
`static class` `DelayedZlibCompression.Factory` Named factory for the ZLib Delayed Compression.

Nested classes/interfaces inherited from interface net.schmizz.sshj.transport.compression.Compression
`Compression.Mode`

Constructor Summary
`DelayedZlibCompression()`

Method Summary
`boolean` `isDelayed()` Delayed compression is an Open-SSH specific feature which informs both the client and server to not compress data before the session has been authenticated.

Methods inherited from class net.schmizz.sshj.transport.compression.ZlibCompression
`compress, init, uncompress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelayedZlibCompression

    public DelayedZlibCompression()

Method Detail

### isDelayed

    public boolean isDelayed()

  Description copied from interface: `Compression`
  Delayed compression is an Open-SSH specific feature which informs both the client and server to not compress data before the session has been authenticated.

  Specified by:
    `isDelayed` in interface `Compression`
  Overrides:
    `isDelayed` in class `ZlibCompression`
  Returns:
    if the compression is delayed after authentication or not

Copyright © 2009-2011. All Rights Reserved.